<?php

namespace Modules\Pp\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;

class OrderStatusHistory extends Model
{
    use HasFactory;
    protected $table = 'pp_order_status_histories';
    protected $fillable = [];
    protected static $logAttributes = [
        'order_id',
        'status_id',
        'user_id',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "pp_order_status_histories";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }
}
